Package com.independentsoft.office.spreadsheet.queryTables

# Class QueryTableRefresh

java.lang.Object
com.independentsoft.office.spreadsheet.queryTables.QueryTableRefresh

public class QueryTableRefresh extends Object
The Class QueryTableRefresh.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QueryTableRefresh()`
  Instantiates a new query table refresh.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `QueryTableRefresh`
  `clone()`
  `int`
  `getMinimumRefreshVersion()`
  Gets the minimum refresh version.
  `int`
  `getNextFieldID()`
  Gets the next field id.
  `List<QueryTableDeletedField>`
  `getQueryTableDeletedFields()`
  Gets the query table deleted fields.
  `List<QueryTableField>`
  `getQueryTableFields()`
  Gets the query table fields.
  `SortState`
  `getSortState()`
  Gets the sort state.
  `int`
  `getUnboundColumnsLeft()`
  Gets the unbound columns left.
  `int`
  `getUnboundColumnsRight()`
  Gets the unbound columns right.
  `boolean`
  `isHeadersInLastRefresh()`
  Checks if is headers in last refresh.
  `boolean`
  `isNextFieldIDWrapped()`
  Checks if is next field id wrapped.
  `boolean`
  `isPreserveSortFilterLayout()`
  Checks if is preserve sort filter layout.
  `void`
  `setHeadersInLastRefresh​(boolean headersInLastRefresh)`
  Sets the headers in last refresh.
  `void`
  `setMinimumRefreshVersion​(int minimumRefreshVersion)`
  Sets the minimum refresh version.
  `void`
  `setNextFieldID​(int nextFieldID)`
  Sets the next field id.
  `void`
  `setNextFieldIDWrapped​(boolean isNextFieldIDWrapped)`
  Sets the next field id wrapped.
  `void`
  `setPreserveSortFilterLayout​(boolean preserveSortFilterLayout)`
  Sets the preserve sort filter layout.
  `void`
  `setSortState​(SortState sortState)`
  Sets the sort state.
  `void`
  `setUnboundColumnsLeft​(int unboundColumnsLeft)`
  Sets the unbound columns left.
  `void`
  `setUnboundColumnsRight​(int unboundColumnsRight)`
  Sets the unbound columns right.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### QueryTableRefresh

    public QueryTableRefresh()
    Instantiates a new query table refresh.

- ## Method Details

  - ### clone

    public QueryTableRefresh clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getQueryTableDeletedFields

    public List<QueryTableDeletedField> getQueryTableDeletedFields()
    Gets the query table deleted fields.
    Returns:
      the query table deleted fields

  - ### getQueryTableFields

    public List<QueryTableField> getQueryTableFields()
    Gets the query table fields.
    Returns:
      the query table fields

  - ### getSortState

    public SortState getSortState()
    Gets the sort state.
    Returns:
      the sort state

  - ### setSortState

    public void setSortState​(SortState sortState)
    Sets the sort state.
    Parameters:
      `sortState` - the new sort state

  - ### isNextFieldIDWrapped

    public boolean isNextFieldIDWrapped()
    Checks if is next field id wrapped.
    Returns:
      true, if is next field id wrapped

  - ### setNextFieldIDWrapped

    public void setNextFieldIDWrapped​(boolean isNextFieldIDWrapped)
    Sets the next field id wrapped.
    Parameters:
      `isNextFieldIDWrapped` - the new next field id wrapped

  - ### isHeadersInLastRefresh

    public boolean isHeadersInLastRefresh()
    Checks if is headers in last refresh.
    Returns:
      true, if is headers in last refresh

  - ### setHeadersInLastRefresh

    public void setHeadersInLastRefresh​(boolean headersInLastRefresh)
    Sets the headers in last refresh.
    Parameters:
      `headersInLastRefresh` - the new headers in last refresh

  - ### getMinimumRefreshVersion

    public int getMinimumRefreshVersion()
    Gets the minimum refresh version.
    Returns:
      the minimum refresh version

  - ### setMinimumRefreshVersion

    public void setMinimumRefreshVersion​(int minimumRefreshVersion)
    Sets the minimum refresh version.
    Parameters:
      `minimumRefreshVersion` - the new minimum refresh version

  - ### getNextFieldID

    public int getNextFieldID()
    Gets the next field id.
    Returns:
      the next field id

  - ### setNextFieldID

    public void setNextFieldID​(int nextFieldID)
    Sets the next field id.
    Parameters:
      `nextFieldID` - the new next field id

  - ### isPreserveSortFilterLayout

    public boolean isPreserveSortFilterLayout()
    Checks if is preserve sort filter layout.
    Returns:
      true, if is preserve sort filter layout

  - ### setPreserveSortFilterLayout

    public void setPreserveSortFilterLayout​(boolean preserveSortFilterLayout)
    Sets the preserve sort filter layout.
    Parameters:
      `preserveSortFilterLayout` - the new preserve sort filter layout

  - ### getUnboundColumnsLeft

    public int getUnboundColumnsLeft()
    Gets the unbound columns left.
    Returns:
      the unbound columns left

  - ### setUnboundColumnsLeft

    public void setUnboundColumnsLeft​(int unboundColumnsLeft)
    Sets the unbound columns left.
    Parameters:
      `unboundColumnsLeft` - the new unbound columns left

  - ### getUnboundColumnsRight

    public int getUnboundColumnsRight()
    Gets the unbound columns right.
    Returns:
      the unbound columns right

  - ### setUnboundColumnsRight

    public void setUnboundColumnsRight​(int unboundColumnsRight)
    Sets the unbound columns right.
    Parameters:
      `unboundColumnsRight` - the new unbound columns right